#include "../include/mClock.h"

mClock::mClock(double delta, double length)
{
    step = 0;
    timeStep = delta;
    end_time = length;
    end_step = (int)(length/delta);

}

mClock::~mClock()
{
    //dtor
}



int mClock::get_time()
{
    return step*timeStep;
}


double mClock::get_step()
{
    return step;
}


int mClock::inc_step()
{
    step ++;
    if (step > end_step) return 0;
    else return 1;
}
